be.fgov.ehealth.dics.core.v3.virtual.common

## Class ObjectFactory

- java.lang.Object
- - be.fgov.ehealth.dics.core.v3.virtual.common.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.dics.core.v3.virtual.common package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.dics.core.v3.virtual.common

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CommentedClassificationKeyType` | `createCommentedClassificationKeyType()` Create an instance of `CommentedClassificationKeyType`
    `RealVirtualIngredientKeyType` | `createRealVirtualIngredientKeyType()` Create an instance of `RealVirtualIngredientKeyType`
    `VirtualIngredientKeyType` | `createVirtualIngredientKeyType()` Create an instance of `VirtualIngredientKeyType`
    `VmpGroupKeyType` | `createVmpGroupKeyType()` Create an instance of `VmpGroupKeyType`
    `VmpGroupType` | `createVmpGroupType()` Create an instance of `VmpGroupType`
    `VtmKeyType` | `createVtmKeyType()` Create an instance of `VtmKeyType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.dics.core.v3.virtual.common

  - ### Method Detail

    - #### createCommentedClassificationKeyType

          public CommentedClassificationKeyType createCommentedClassificationKeyType()

      Create an instance of `CommentedClassificationKeyType`

    - #### createVmpGroupType

          public VmpGroupType createVmpGroupType()

      Create an instance of `VmpGroupType`

    - #### createVmpGroupKeyType

          public VmpGroupKeyType createVmpGroupKeyType()

      Create an instance of `VmpGroupKeyType`

    - #### createVtmKeyType

          public VtmKeyType createVtmKeyType()

      Create an instance of `VtmKeyType`

    - #### createVirtualIngredientKeyType

          public VirtualIngredientKeyType createVirtualIngredientKeyType()

      Create an instance of `VirtualIngredientKeyType`

    - #### createRealVirtualIngredientKeyType

          public RealVirtualIngredientKeyType createRealVirtualIngredientKeyType()

      Create an instance of `RealVirtualIngredientKeyType`

Connector Packaging PERSDIETICIAN 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.